import requests
import json
import os

API_URL = os.getenv("API_URL", "http://localhost:5000/")
API_URL_GET_POS = API_URL + "getPos"
API_URL_GET_OP = API_URL + "getOp"
API_URL_GET_GOAL = API_URL + "getGoal"
API_URL_GET_ITEMS = API_URL + "getItems"


class Seeding:
    @staticmethod
    def get_park():
        pass

    @staticmethod
    def pay_park():
        pass

    @staticmethod
    def simon_says():
        pass


class Position:
    def __init__(self, x, y, rotation):
        self.x = x
        self.y = y
        self.rotation = rotation


class DoubleElim:
    @staticmethod
    def get_position():
        response = json.loads(requests.get(API_URL_GET_POS).content)
        return Position(response["x"], response["y"], response["degrees"])

    @staticmethod
    def get_opponent():
        response = json.loads(requests.get(API_URL_GET_OP).content)
        return Position(response["x"], response["y"], response["degrees"])

    @staticmethod
    def get_goal():
        response = json.loads(requests.get(API_URL_GET_GOAL).content)
        return Position(response["x"], response["y"], -1)

    @staticmethod
    def get_items():
        return json.loads(requests.get(API_URL_GET_ITEMS).content)
